Pattern (BioJava-1.5-beta API)
Keywords: org.biojava.utils.regex.Pattern class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.regex
Class Pattern

    java.lang.Object
      org.biojava.utils.regex.Pattern

    public class Pattern

extends Object

A class analogous to java.util.regex.Pattern but for SymbolLists.

Since:
  1.4
Author:
  David Huen

Method Summary
`FiniteAlphabet` | `getAlphabet()`
`String` | `getName()` return the String label associated with this pattern.
`Matcher` | `matcher(SymbolList sl)` Creates a matcher that will match the given input against this pattern.
`String` | `patternAsString()` returns the Pattern to be matched as a String.
`String` | `patternExpanded()` returns the actual String used to construct the regex with all ambiguities expanded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  return the String label associated with this pattern.

### matcher

    public Matcher matcher(SymbolList sl)

  Creates a matcher that will match the given input against this pattern.

  Parameters:
    `sl` - SymbolList against which match is to be made.
  Returns:
    A new matcher for this pattern.

### patternAsString

    public String patternAsString()

  returns the Pattern to be matched as a String.

### patternExpanded

    public String patternExpanded()

  returns the actual String used to construct the regex with all ambiguities expanded. //FIXME: do something about unicode strings and conversion back to something sensible.

### getAlphabet

    public FiniteAlphabet getAlphabet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD